Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.jsr168
Class PortletFilterImpl

    java.lang.Object
      org.jboss.portal.portlet.impl.jsr168.PortletFilterImpl

All Implemented Interfaces:
  PortletFilterObject, PortletFilter

    public class PortletFilterImpl

extends java.lang.Object
implements PortletFilterObject

Version:
  $Revision: 630 $
Author:
  Julien Viet

Constructor Summary
`PortletFilterImpl(ContainerFilterInfo info)`

Method Summary
`PortletFilterContext` | `getContext()` Returns the context of the portlet filter
`java.lang.String` | `getId()` Returns the id.
`ContainerFilterInfo` | `getInfo()`
`PortletApplication` | `getPortletApplication()` Returns the wired application.
`
`<T> T`
` | `instance(java.lang.Class<T> type)`
`void` | `setContext(PortletFilterContext context)` Set the context required by that filter.
`void` | `setPortletApplication(PortletApplication application)` Set the application on the portlet filter.
`void` | `start()` Starts the portlet container.
`void` | `stop()` Stops the portlet container.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletFilterImpl

    public PortletFilterImpl(ContainerFilterInfo info)

Method Detail

### instance

    public <T> T instance(java.lang.Class<T> type)

### getInfo

    public ContainerFilterInfo getInfo()

### getId

    public java.lang.String getId()

  Description copied from interface: `PortletFilter`
  Returns the id.

  Specified by:
    `getId` in interface `PortletFilter`
  Returns:
    the id

### setPortletApplication

    public void setPortletApplication(PortletApplication application)

  Description copied from interface: `PortletFilterObject`
  Set the application on the portlet filter.

  Specified by:
    `setPortletApplication` in interface `PortletFilterObject`
  Parameters:
    `application` - the application

### getPortletApplication

    public PortletApplication getPortletApplication()

  Description copied from interface: `PortletFilter`
  Returns the wired application.

  Specified by:
    `getPortletApplication` in interface `PortletFilter`
  Returns:
    the application

### setContext

    public void setContext(PortletFilterContext context)

  Description copied from interface: `PortletFilterObject`
  Set the context required by that filter.

  Specified by:
    `setContext` in interface `PortletFilterObject`
  Parameters:
    `context` - the context

### getContext

    public PortletFilterContext getContext()

  Description copied from interface: `PortletFilter`
  Returns the context of the portlet filter

  Specified by:
    `getContext` in interface `PortletFilter`
  Returns:
    the context

### start

    public void start()
               throws java.lang.Exception

  Description copied from interface: `PortletFilterObject`
  Starts the portlet container.

  Specified by:
    `start` in interface `PortletFilterObject`
  Throws:
    `java.lang.Exception` - any exception preventing the start

### stop

    public void stop()

  Description copied from interface: `PortletFilterObject`
  Stops the portlet container.

  Specified by:
    `stop` in interface `PortletFilterObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.